import pygame, sys, random ,os
#pygame.init()

class Menu:
	def __init__(self):
		self.screen = pygame.display.set_mode([640,500])
		self.bgimage = pygame.image.load("menuback.png").convert()
		self.ship_image = pygame.image.load("ship-norm.png").convert_alpha()
		self.nameimage = pygame.image.load("Logo.png").convert_alpha()
		self.onepimage = pygame.image.load("1p.png").convert_alpha()
		self.twopimage = pygame.image.load("2p.png").convert_alpha()
		self.exitimage = pygame.image.load("exit.png").convert_alpha()
		self.arrowimage = pygame.image.load("arrow.png").convert_alpha()
		self.ship1 = 0
		self.choice = 1
		self.decision = 0
		self.shiplocation = [20,245]
		bgmusic = "song.mp3"
		pygame.mixer.music.load(bgmusic)
		pygame.mixer.music.set_volume(0.3)
		pygame.mixer.music.play(-1)
	def getevents(self):
		for event in pygame.event.get():
			if event.type == pygame.QUIT:
				pygame.quit()
			if event.type == pygame.KEYDOWN:
				if event.key == pygame.K_UP:
					self.choice -= 1
					if self.choice == 0:
						self.choice = 3
				elif event.key == pygame.K_DOWN:
					self.choice += 1
					if self.choice == 4:
						self.choice = 1
				elif event.key == pygame.K_SPACE:
					if self.choice == 3:
						pygame.quit()
						sys.exit(0)
					self.decide()						
	def moveship(self):
		distance = random.randint(0,10)
		direction = random.randint(0,1)
		if direction == 0:
			distance = -distance
		self.shiplocation = [self.shiplocation[0]+20,self.shiplocation[1]+distance]
		self.screen.blit(self.ship_image,self.shiplocation)
		if self.shiplocation[0] > 700:
			self.shiplocation[0] = -55
				
	def animate(self):
		self.screen.blit(self.bgimage,[0,0])
		self.moveship()
		self.screen.blit(self.nameimage,[120,20])
		self.screen.blit(self.onepimage,[240,160])
		self.screen.blit(self.twopimage,[240,230])
		self.screen.blit(self.exitimage,[245,300])
		self.screen.blit(self.arrowimage,[200,160+(self.choice-1)*70])
		pygame.display.flip()
		
	def decide(self):
		self.decision = self.choice
		pygame.mixer.music.stop()
	def run(self):
		try :
		 self.getevents()		
		 self.animate()
		except : a=0
	        return self.decision
